Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 2739773004: Make stylus's eraser button work on Mac (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 2 weeks ago by lanwei
Modified:
1 month ago
CC:
chromium-reviews, yusukes+watch_chromium.org, shuchen+watch_chromium.org, jam, dtapuska+chromiumwatch_chromium.org, nona+watch_chromium.org, darin-cc_chromium.org, mac-reviews_chromium.org, James Su
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make stylus's eraser button work on Mac In order to make stylus's eraser button work on Mac, I set the pointer type to blink::WebPointerProperties::PointerType::Eraser when we use the eraser button on the tablet. BUG=685252 Review-Url: https://codereview.chromium.org/2739773004 Cr-Commit-Position: refs/heads/master@{#459166} Committed: https://chromium.googlesource.com/chromium/src/+/45def6b3f18b803e4ea050a84ba8fecbc786b6df

Patch Set 1 #

Total comments: 5

Patch Set 2 : eraser button #

Patch Set 3 : Add unittests #

Total comments: 4

Patch Set 4 : refactor tests #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+165 lines, -18 lines) Patch
M content/browser/renderer_host/input/web_input_event_builders_mac.mm View 1 1 chunk +5 lines, -15 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_mac.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_mac.mm View 1 2 chunks +19 lines, -3 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_mac_unittest.mm View 1 2 3 2 chunks +140 lines, -0 lines 2 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 53 (34 generated)
lanwei
1 month, 2 weeks ago (2017-03-08 16:31:13 UTC) #10
Navid Zolghadr
https://codereview.chromium.org/2739773004/diff/1/content/browser/renderer_host/render_widget_host_view_mac.mm File content/browser/renderer_host/render_widget_host_view_mac.mm (right): https://codereview.chromium.org/2739773004/diff/1/content/browser/renderer_host/render_widget_host_view_mac.mm#newcode1915 content/browser/renderer_host/render_widget_host_view_mac.mm:1915: pointerType_ = isStylusEnteringProximity_ Can we just use an if ...
1 month, 2 weeks ago (2017-03-08 19:30:27 UTC) #11
lanwei
https://codereview.chromium.org/2739773004/diff/1/content/browser/renderer_host/render_widget_host_view_mac.mm File content/browser/renderer_host/render_widget_host_view_mac.mm (right): https://codereview.chromium.org/2739773004/diff/1/content/browser/renderer_host/render_widget_host_view_mac.mm#newcode1915 content/browser/renderer_host/render_widget_host_view_mac.mm:1915: pointerType_ = isStylusEnteringProximity_ On 2017/03/08 19:30:27, Navid Zolghadr wrote: ...
1 month, 2 weeks ago (2017-03-08 21:01:19 UTC) #12
Navid Zolghadr
lgtm
1 month, 2 weeks ago (2017-03-09 16:09:54 UTC) #13
mustaq
https://codereview.chromium.org/2739773004/diff/1/content/browser/renderer_host/input/web_input_event_builders_mac.mm File content/browser/renderer_host/input/web_input_event_builders_mac.mm (right): https://codereview.chromium.org/2739773004/diff/1/content/browser/renderer_host/input/web_input_event_builders_mac.mm#newcode325 content/browser/renderer_host/input/web_input_event_builders_mac.mm:325: // For NSMouseExited and NSMouseEntered events, they do not ...
1 month, 1 week ago (2017-03-13 14:41:38 UTC) #14
lanwei
1 month, 1 week ago (2017-03-13 17:10:25 UTC) #19
mustaq
lgtm
1 month, 1 week ago (2017-03-13 21:20:45 UTC) #20
lanwei
Tim, could you please take a look, thank you!
1 month, 1 week ago (2017-03-13 21:28:26 UTC) #24
tdresser
Can we write tests for this?
1 month, 1 week ago (2017-03-14 14:54:59 UTC) #25
lanwei
On 2017/03/14 14:54:59, tdresser wrote: > Can we write tests for this? I searched that ...
1 month, 1 week ago (2017-03-15 03:06:50 UTC) #26
tdresser
The approach described here should work: http://stackoverflow.com/questions/6126226/how-to-create-an-nsevent-of-type-nsscrollwheel
1 month, 1 week ago (2017-03-15 12:52:45 UTC) #27
lanwei
1 month, 1 week ago (2017-03-18 01:11:15 UTC) #38
tdresser
https://codereview.chromium.org/2739773004/diff/80001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm File content/browser/renderer_host/render_widget_host_view_mac_unittest.mm (right): https://codereview.chromium.org/2739773004/diff/80001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm#newcode154 content/browser/renderer_host/render_widget_host_view_mac_unittest.mm:154: result += " "; This method appears to never ...
1 month ago (2017-03-22 15:13:26 UTC) #39
lanwei
https://codereview.chromium.org/2739773004/diff/80001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm File content/browser/renderer_host/render_widget_host_view_mac_unittest.mm (right): https://codereview.chromium.org/2739773004/diff/80001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm#newcode154 content/browser/renderer_host/render_widget_host_view_mac_unittest.mm:154: result += " "; On 2017/03/22 15:13:26, tdresser wrote: ...
1 month ago (2017-03-22 21:39:23 UTC) #44
tdresser
Thanks for the tests. LGTM with question. https://codereview.chromium.org/2739773004/diff/100001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm File content/browser/renderer_host/render_widget_host_view_mac_unittest.mm (right): https://codereview.chromium.org/2739773004/diff/100001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm#newcode155 content/browser/renderer_host/render_widget_host_view_mac_unittest.mm:155: NSEvent* event ...
1 month ago (2017-03-23 12:16:54 UTC) #45
lanwei
https://codereview.chromium.org/2739773004/diff/100001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm File content/browser/renderer_host/render_widget_host_view_mac_unittest.mm (right): https://codereview.chromium.org/2739773004/diff/100001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm#newcode155 content/browser/renderer_host/render_widget_host_view_mac_unittest.mm:155: NSEvent* event = [NSEvent eventWithCGEvent:cg_event]; On 2017/03/23 12:16:54, tdresser ...
1 month ago (2017-03-23 18:55:16 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2739773004/100001
1 month ago (2017-03-23 18:56:09 UTC) #49
tdresser
On 2017/03/23 18:55:16, lanwei wrote: > https://codereview.chromium.org/2739773004/diff/100001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm > File content/browser/renderer_host/render_widget_host_view_mac_unittest.mm > (right): > > https://codereview.chromium.org/2739773004/diff/100001/content/browser/renderer_host/render_widget_host_view_mac_unittest.mm#newcode155 ...
1 month ago (2017-03-23 19:00:23 UTC) #50
commit-bot: I haz the power
1 month ago (2017-03-23 19:01:59 UTC) #53
Message was sent while issue was closed.
Committed patchset #4 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/45def6b3f18b803e4ea050a84ba8...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46